Loading...
Searching...
No Matches
implementation.h File Reference

User-facing functions for URL parsing and manipulation. More...

`#include <string>`
`#include <string_view>`
`#include <optional>`
`#include "ada/url.h"`
`#include "ada/common_defs.h"`
`#include "ada/errors.h"`
`#include "ada/url_pattern_init.h"`

Go to the source code of this file.

## Namespaces

namespace | ada

## Typedefs

template<class result_type = ada::url_aggregator>
using | ada::result = tl::expected<result_type, ada::errors>

## Functions

template<class result_type = ada::url_aggregator>
ada_warn_unused ada::result< result_type > | ada::parse (std::string_view input, const result_type *base_url=nullptr)
template ada::result< url > | ada::parse< url > (std::string_view input, const url *base_url)
template ada::result< url_aggregator > | ada::parse< url_aggregator > (std::string_view input, const url_aggregator *base_url)
bool | ada::can_parse (std::string_view input, const std::string_view *base_input=nullptr)
std::string | ada::href_from_file (std::string_view path)

## Detailed Description

User-facing functions for URL parsing and manipulation.

This header provides the primary public API for parsing URLs in Ada. It includes the main ada::parse() function which is the recommended entry point for most users.

See also
  https://url.spec.whatwg.org/#api

Definition in file implementation.h.